Debian Bug report logs - #323772
RM: libyaml-ruby -- RoM; functionality now provided by ruby1.8 and ruby-defaults

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>

Date: Thu, 18 Aug 2005 10:33:11 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323772; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: Please remove libyaml-ruby from unstable
Date: Thu, 18 Aug 2005 12:47:34 +0300
[Message part 1 (text/plain, inline)]
Package: ftp.debian.org
Severity: normal

Please remove libyaml-ruby from unstable to facilitate removal of
ruby1.6. libyaml-ruby1.6 is superseded by libyaml-ruby1.8 binary package
built from ruby1.8 source and libyaml-ruby binary built from
ruby-defaults source, has no reverse dependencies, and has no
reverse-depends in unstable. More info:

http://lists.debian.org/debian-ruby/2005/08/msg00014.html

-- 
Dmitry Borodaenko
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323772; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 323772@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, 323772@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: ftp.debian.org: Please remove libyaml-ruby from unstable
Date: Fri, 2 Sep 2005 03:03:08 +0200
tags 323772 moreinfo
thanks

On Thu, Aug 18, 2005 at 12:47:34PM +0300, Dmitry Borodaenko wrote:
> Package: ftp.debian.org
> Severity: normal
> 
> Please remove libyaml-ruby from unstable to facilitate removal of
> ruby1.6. libyaml-ruby1.6 is superseded by libyaml-ruby1.8 binary package
> built from ruby1.8 source and libyaml-ruby binary built from
> ruby-defaults source, has no reverse dependencies, and has no
> reverse-depends in unstable. More info:

zonecheck and dnsdoctor still depend on this package. Can you please at
least file bugs on those two packages so that they can transition?
Otherwise removal of this package will break twose without the
maintainers having any idea.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323772; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 323772@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 323772@bugs.debian.org
Subject: Re: ftp.debian.org: Please remove libyaml-ruby from unstable
Date: Fri, 2 Sep 2005 12:37:48 +0300
On Fri, Sep 02, 2005 at 03:03:08AM +0200, Jeroen van Wolffelaar wrote:
> > Please remove libyaml-ruby from unstable to facilitate removal of
> > ruby1.6. libyaml-ruby1.6 is superseded by libyaml-ruby1.8 binary
> > package built from ruby1.8 source and libyaml-ruby binary built from
> > ruby-defaults source, has no reverse dependencies, and has no
> > reverse-depends in unstable. More info:
> zonecheck and dnsdoctor still depend on this package. Can you please
> at least file bugs on those two packages so that they can transition?
> Otherwise removal of this package will break twose without the
> maintainers having any idea.

zonecheck and dnsdoctor have _binary_ dependency on libyaml-ruby.

# apt-cache show zonecheck dnsdoctor libyaml-ruby libruby1.8
Package: zonecheck
Depends: ruby (>= 1.8), libyaml-ruby, librexml-ruby, libiconv-ruby, iputils-ping

Package: dnsdoctor
Depends: ruby (>= 1.8.1), libyaml-ruby, librexml-ruby, libiconv-ruby, iputils-ping

Package: libyaml-ruby
Source: ruby-defaults
Version: 1.8.2-1
Depends: libyaml-ruby1.8

Package: libruby1.8
Provides: libsdbm-ruby1.8, libdl-ruby1.8, libpty-ruby1.8, libbigdecimal-ruby1.8, libsyslog-ruby1.8, libstrscan-ruby1.8, libiconv-ruby1.8, libracc-runtime-ruby1.8, libdrb-ruby1.8, liberb-ruby1.8, libtest-unit-ruby1.8, librexml-ruby1.8, libxmlrpc-ruby1.8, libsoap-ruby1.8, libwebrick-ruby1.8, libyaml-ruby1.8, libzlib-ruby1.8, libcurses-ruby1.8

I am requesting a removal of _source_ package libyaml-ruby. The only
binary package that is built from this source is libyaml-ruby1.6 (in
Ruby 1.6, YAML was an external library, in Ruby 1.8, it was included in
the standard Ruby distribution). No binary packages depend on
libyaml-ruby1.6. As you can see above, both zonecheck and dnsdoctor
explicitly depend on ruby (>=1.8), which means that can't possibly have
any use for a ruby1.6 library, what they really use is libruby1.8 which
provides libyaml-ruby1.8.

Actually, wishlist bugs can be filed against both packages to remove
extranous dependencies (all of libyaml-ruby, librexml-ruby and
libiconf-ruby are provided by libruby1.8 which will be pulled in by the
ruby dependency). But this does not affect the removal of libyaml-ruby
source package.

-- 
Dmitry Borodaenko



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323772; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #24 received at 323772@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
To: 323772@bugs.debian.org
Subject: Re: zonecheck: no need for explicit depends on libraries included in libruby1.8
Date: Fri, 2 Sep 2005 12:54:18 +0300
On Fri, Sep 02, 2005 at 12:49:37PM +0300, Dmitry Borodaenko wrote:
> can be safely reduced to:
> 
> Depends: ruby (>= 1.8), iputils-ping

It might also make sense to upgrade versioned depends to ruby (>=
1.8.2-3).

-- 
Dmitry Borodaenko



Tags removed: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 323772-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 323772-close@bugs.debian.org
Cc: libyaml-ruby@packages.debian.org, libyaml-ruby@packages.qa.debian.org
Subject: Bug#323772: fixed
Date: Mon, 12 Sep 2005 14:13:14 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libyaml-ruby |   0.49.1-4 | source
libyaml-ruby1.6 |   0.49.1-4 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323772@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 16:45:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:42:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.